| FoxitPDFSDKforWeb v11.0.4 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
AnnotComponentConfig Interface Reference
PDFViewCtrl » interfaces

An interface that describes all available configuration properties of AnnotComponent. More...

## Public Attributes
boolean | enableDiagonally
| Indicates whether diagonal scaling is enabled. Default is true. If resizable is true, enableDiagonally true works. Supported annotation types: ink, link, square, screen, redact, Area highlight, widget. More...
boolean | enableFrame
| Indicates whether the annotation can be resized vertically and horizontally. Default is false. Supported annotation type: stamp.
boolean | moveable
| Indicates whether movement is enabled. For Area highlight, default is false, true otherwise. Supported annotation types: stamp, circle, ink, link, square, screen, redact, Area highlight, widget. More...
string | moveDirection
| Indicates the permissible direction of movement. Default is 'All'. If moveable is true, moveDirection works. Supported annotation types: stamp, circle, ink, link, square, screen, redact, Area highlight, widget. More...
boolean | resizable
| Indicates whether scaling is enabled. Default is true. Supported annotation types: stamp, circle, ink, link, square, screen, redact, Area highlight, widget. More...
boolean | rotatable
| Indicates whether rotation is enabled. Default is true. Supported annotation type: stamp. More...

## Detailed Description

An interface that describes all available configuration properties of AnnotComponent.

Since
  9.1.0

See also
  CustomOptionsUpdater.updateGetAnnotComponentConfig

## Member Data Documentation

## ◆ enableDiagonally

boolean AnnotComponentConfig::enableDiagonally

Indicates whether diagonal scaling is enabled. Default is true. If resizable is true, enableDiagonally true works.
Supported annotation types: ink, link, square, screen, redact, Area highlight, widget.

Since
  9.1.0

## ◆ moveable

boolean AnnotComponentConfig::moveable

Indicates whether movement is enabled. For Area highlight, default is false, true otherwise.
Supported annotation types: stamp, circle, ink, link, square, screen, redact, Area highlight, widget.

Since
  9.1.0

## ◆ moveDirection

string AnnotComponentConfig::moveDirection

Indicates the permissible direction of movement. Default is 'All'. If moveable is true, moveDirection works.
Supported annotation types: stamp, circle, ink, link, square, screen, redact, Area highlight, widget.

Note
  if the moveDirection is not set 'all', the annotation will be disabled from moving across pages.

See also
  DIRECTION

Since
  11.0.0

## ◆ resizable

boolean AnnotComponentConfig::resizable

Indicates whether scaling is enabled. Default is true.
Supported annotation types: stamp, circle, ink, link, square, screen, redact, Area highlight, widget.

Since
  9.1.0

## ◆ rotatable

boolean AnnotComponentConfig::rotatable

Indicates whether rotation is enabled. Default is true.
Supported annotation type: stamp.

Since
  9.1.0

@2025 Foxit Software Incorporated. All rights reserved.